org.apache.flume.clients.log4jappender

## Enum Log4jAvroHeaders

- java.lang.Object
- - java.lang.Enum<Log4jAvroHeaders>
  - - org.apache.flume.clients.log4jappender.Log4jAvroHeaders

- All Implemented Interfaces:
    Serializable, Comparable<Log4jAvroHeaders>

      public enum Log4jAvroHeaders
      extends Enum<Log4jAvroHeaders>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO_SCHEMA_LITERAL`
    `AVRO_SCHEMA_URL`
    `LOG_LEVEL`
    `LOGGER_NAME`
    `MESSAGE_ENCODING`
    `OTHER`
    `TIMESTAMP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Log4jAvroHeaders` | `getByName(String headerName)`
    `String` | `getName()`
    `String` | `toString()`
    `static Log4jAvroHeaders` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Log4jAvroHeaders[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final Log4jAvroHeaders OTHER

    - #### LOGGER_NAME

          public static final Log4jAvroHeaders LOGGER_NAME

    - #### LOG_LEVEL

          public static final Log4jAvroHeaders LOG_LEVEL

    - #### MESSAGE_ENCODING

          public static final Log4jAvroHeaders MESSAGE_ENCODING

    - #### TIMESTAMP

          public static final Log4jAvroHeaders TIMESTAMP

    - #### AVRO_SCHEMA_LITERAL

          public static final Log4jAvroHeaders AVRO_SCHEMA_LITERAL

    - #### AVRO_SCHEMA_URL

          public static final Log4jAvroHeaders AVRO_SCHEMA_URL

  - ### Method Detail

    - #### values

          public static Log4jAvroHeaders[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Log4jAvroHeaders c : Log4jAvroHeaders.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Log4jAvroHeaders valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Log4jAvroHeaders>`

    - #### getByName

          public static Log4jAvroHeaders getByName(String headerName)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.